part of 'home_bloc.dart';

@freezed
class HomeEvent with _$HomeEvent {
  const factory HomeEvent.started() = _Started;
  const factory HomeEvent.changed(int index) = _Changed;
  const factory HomeEvent.durationChanged(String filter) = _DurationChanged;
  const factory HomeEvent.filtered(String filter) = _Filtered;
  const factory HomeEvent.rated(List<String> filter) = _Rated;

}
